Package org.kapott.hbci.swift

## Class SwiftLegacy

- java.lang.Object
- - org.kapott.hbci.swift.SwiftLegacy

    public class SwiftLegacy
    extends java.lang.Object

### Constructor Summary

Constructors
`SwiftLegacy()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getLineFieldValue​(java.lang.String stream, java.lang.String linenum, int fieldnum)`
`static java.lang.String` `getTagValue​(java.lang.String st, java.lang.String tag, java.lang.String[] suffixes, int counter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SwiftLegacy

    public SwiftLegacy()

### Method Detail

#### getTagValue

    public static java.lang.String getTagValue​(java.lang.String st,
                                               java.lang.String tag,
                                               java.lang.String[] suffixes,
                                               int counter)

#### getLineFieldValue

    public static java.lang.String getLineFieldValue​(java.lang.String stream,
                                                     java.lang.String linenum,
                                                     int fieldnum)